#
# spec file for package zebra (Version 0.92a)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake readline readline-devel ucdsnmp
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl readline-devel rpm ucdsnmp

Name:         zebra
License:      LGPL
Group:        Productivity/Networking/Routing
URL:          http://www.zebra.org
Summary:      free routing software (e.g. for BGP and OSPF)
Version:      0.92a
Release:      373
Source:       %{name}-%{version}.tar.bz2
Source1:      rc.bgpd
Source2:      rc.ospf6d
Source3:      rc.ospfd
Source4:      rc.ripd
Source5:      rc.ripngd
Source6:      rc.zebra
Patch:        %{name}-%{version}.dif
Patch2:       %{name}-%{version}-vty_telnet_option-fix.diff
Patch3:       %{name}-%{version}-netlink-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
GNU Zebra is free software that manages TCP/IP based routing protocols.
It supports BGP-4 protocol as described in RFC1771 (A Border Gateway
Protocol 4) as well as RIPv1, RIPv2 and OSPFv2.
Zebra is modular and has a process for each protocol.
Zebra is intended to be used as a Route Server and a Route Reflector.
Zebra is not a toolkit, it provides full routing power under a new
architecture.

Authors:
--------
    Kunihiro Ishiguro
    Toshiaki Takada

SuSE series: n

%prep
%setup
%patch
%patch2
%patch3

%build
%{?suse_update_config:%{suse_update_config}}
rm missing
autoheader
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--enable-vtysh --enable-broken-aliases --enable-snmp --enable-ipv6 \
	--with-libpam \
	--prefix=/usr --sysconfdir=/etc/zebra \
	--mandir=%{_mandir} --infodir=%{_infodir}
make

%install
rm -r doc/zebra.info
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 755 %{S:6} $RPM_BUILD_ROOT/etc/init.d/zebra
install -m 755 %{S:1} $RPM_BUILD_ROOT/etc/init.d/bgpd
install -m 755 %{S:2} $RPM_BUILD_ROOT/etc/init.d/ospf6d
install -m 755 %{S:3} $RPM_BUILD_ROOT/etc/init.d/ospfd
install -m 755 %{S:4} $RPM_BUILD_ROOT/etc/init.d/ripd
install -m 755 %{S:5} $RPM_BUILD_ROOT/etc/init.d/ripngd
ln -sf ../../etc/init.d/zebra $RPM_BUILD_ROOT/usr/sbin/rczebra
ln -sf ../../etc/init.d/bgpd $RPM_BUILD_ROOT/usr/sbin/rcbgpd
ln -sf ../../etc/init.d/ospf6d $RPM_BUILD_ROOT/usr/sbin/rcospf6d
ln -sf ../../etc/init.d/ospfd $RPM_BUILD_ROOT/usr/sbin/rcospfd
ln -sf ../../etc/init.d/ripngd $RPM_BUILD_ROOT/usr/sbin/rcripngd
ln -sf ../../etc/init.d/ripd $RPM_BUILD_ROOT/usr/sbin/rcripd

%post
%{fillup_and_insserv -n -s zebra zebra START_ZEBRA bgpd START_BGPD ospf6d START_OSPF6D ospfd START_OSPFD ripd START_RIP ripngd START_RIPNG}

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README REPORTING-BUGS SERVICES TODO
/etc/zebra/
/usr/sbin/*
/etc/init.d/*
/usr/bin/*
%{_infodir}/zebra.info*
%{_mandir}/man?/*

%changelog -n zebra
* Mon Jan 19 2004 - postadal@suse.cz
- fixed security bug [#33993] (CAN-2003-0858): local users could send malicious
  netlink messages that cause DoS condition
* Wed Nov 26 2003 - postadal@suse.cz
- fixed DoS condition, which exists in zebra when layer 3 access is possible
  to the telnet management port 2601/tcp. (CAN-2003-0795) [#32656]
* Mon Feb 25 2002 - postadal@suse.cz
- modified copyright of files in /etc/init.d
* Thu Jan 10 2002 - egmont@suselinux.hu
- changed /sbin/init.d to /etc/init.d in init script comments
* Tue Dec 11 2001 - cihlar@suse.cz
- removed START_* variables
- fixed init scripts to fit skeleton
- fixed file list
* Tue Nov 06 2001 - cihlar@suse.cz
- fixed to compile with automake 1.5
* Mon Aug 27 2001 - dan@suse.cz
- update to 0.92a release
  * Fix community-list "^$" matching bug
  * -lsnmp check problem fixed
- build root added, spec file clean-up
- installing info pages fixed
* Tue Aug 14 2001 - ro@suse.de
- up to 0.91a and fixed for current autoconf
* Mon May 14 2001 - lmuelle@suse.de
- fix typo in ripd startscript
- bzip2 sources
* Tue May 08 2001 - strbac@suse.de
- remove init scripts and symlinks for vtysh (it's not a daemon)
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Jan 17 2001 - bk@suse.de
- updated to 0.90a, fixes serious bug of bgpd when receiving routes
- fixed a bug in configure(.in) to detect *-suse-linux as linux
- replaced ipv6 configure diff with the configure option --enable-ipv6
- call autoconf to generate the fixed confgure (never patch configure)
- set CFLAGS to RPM_OPT_FLAGS for configure
- folded up configure argument list to make it more readable
* Thu Jan 11 2001 - smueller@suse.de
- make it compile with IPv6 even if there is no IPv6 in the
  running kernel
* Thu Jan 11 2001 - smueller@suse.de
- update to zebra 0.90
- enabled snmp support
* Thu Dec 21 2000 - smueller@suse.de
- rc.config injection corrected
* Wed Dec 20 2000 - smueller@suse.de
- changed absolut path names to relative in %%post
* Tue Dec 05 2000 - bjacke@suse.de
- bzipped sources
- cleaned up spec file
- enabled IPv6 support
* Mon Dec 04 2000 - smueller@suse.de
- initial version for 7.1
